﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="EnumerationPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Enumeration Pattern Validations</title>

    <rule context="rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
        <!--
             IF [FITR204] <> NULL AND [FITR204] <> SET (DOMAIN(CGTExemptionOrRolloverCodesFunds))
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR204] = FITR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        -->
        <assert id="VR.ATO.FITR.434288" diagnostics="DVR.ATO.FITR.434288"
                test="@contextRef != $RP.ContextId or
                      regexp:test(.,'(i?)(^A - Small business active asset reduction)$') or
                      regexp:test(.,'(i?)(^B - Small business retirement exemption)$') or
                      regexp:test(.,'(i?)(^C - Small business roll-over)$') or
                      regexp:test(.,'(i?)(^D - Small business 15 year exemption)$') or
                      regexp:test(.,'(i?)(^E - Foreign resident CGT exemption)$') or
                      regexp:test(.,'(i?)(^F - Scrip for scrip roll-over)$') or
                      regexp:test(.,'(i?)(^H - Demerger exemption)$') or
                      regexp:test(.,'(i?)(^J - Capital gains disregarded as a result of the sale of a pre-CGT asset)$') or
                      regexp:test(.,'(i?)(^L - Replacement asset roll-overs)$') or
                      regexp:test(.,'(i?)(^M - Exchange of shares or units)$') or
                      regexp:test(.,'(i?)(^N - Exchange of rights or options)$') or
                      regexp:test(.,'(i?)(^O - Exchange of shares in one company for shares in another company)$') or
                      regexp:test(.,'(i?)(^P - Exchange of units in a unit trust for shares in a company)$') or
                      regexp:test(.,'(i?)(^Q - Trust restructure roll-over)$') or
                      regexp:test(.,'(i?)(^R - Demerger roll-over)$') or
                      regexp:test(.,'(i?)(^S - Same asset roll-overs)$') or
                      regexp:test(.,'(i?)(^X - Other exemptions and roll-overs)$') "/>
    </rule>

</pattern>
