<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL element variables that are applicable accross the PTR service.</title>
<!--<let name="IDS9" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.SpecifiedCountriesTransactions.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS22" value="xbrli:xbrl/bafpr1.02.12:Expense.DeductionsTotal.Amount[@contextRef=$RP.Royalties.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS102" value="xbrli:xbrl/bafpr1.02.00:Expense.Total.Amount[@contextRef=$RP.OtherInterest.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS177" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS185" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCLC.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS186" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCSP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS187" value="xbrli:xbrl/bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Count[@contextRef=$RP.CFCUC.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS188" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncome.Amount[@contextRef=$RP.CFCLC.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS191" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAttributableIncomeTotal.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS192" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesChangeOfResidenceIncome.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS193" value="xbrli:xbrl/bafpr1.02.12:Income.ControlledForeignCompaniesAndControlledForeignTrustsInterposedAustralianEntitiesAttributableIncomeTotal.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS207" value="xbrli:xbrl/rvctc2.02.09:IncomeTax.Deduction.DebtEarningNonAssessableNonExemptForeignIncomeTotal.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IDS219" value="xbrli:xbrl/bafpo7.02.11:Assets.Investment.ForeignHybridLimitedPartnershipOrForeignHybridCompanyNetIncomeProfitTotal.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />-->
<!--
<let name="IEE50" value="xbrli:xbrl/iee.0002.lodge.req.xx.xx:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.xx.xx:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IEE82" value="xbrli:xbrl/rvctc3.xx.xx:Elections.Revocation.Year[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="IEE116" value="xbrli:xbrl/rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="NIPSS9" value="xbrli:xbrl/nipss.0001.lodge.req.xx.xx:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
-->
<!--
<let name="NIPSS28" value="xbrli:xbrl/nipss.0001.lodge.req.xx.xx:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.xx.xx:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId !START_WHERE! and TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN' !END_WHERE! and not(@i:nil='true' or @i:nil='1')]" />
                       $NIPSS.Context/nipss.0001.lodge.req.02.00:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.02.00:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.NIPSS.ContextId and not(@i:nil='true' or @i:nil='1') and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN']
-->
<let name="PTR1" value="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR9" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR10" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR11" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR12" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR14" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR15" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR16" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR17" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR20" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.05:PersonNameDetails.Usage.Code = 'MailRecipient' and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR24" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR25" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:MailRecipient[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR26" value="xbrli:xbrl/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR27" value="xbrli:xbrl/rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR29" value="xbrli:xbrl/pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR30" value="xbrli:xbrl/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR31" value="xbrli:xbrl/pyde.02.03:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR32" value="xbrli:xbrl/pyde.02.10:OrganisationDetails.ActivityEvent.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR35" value="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR36" value="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR38" value="xbrli:xbrl/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR39" value="xbrli:xbrl/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR41" value="xbrli:xbrl/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR43" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR44" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR45" value="xbrli:xbrl/bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR46" value="xbrli:xbrl/lrla.02.00:Remuneration.WagesAndSalaries.ContractorsAndConsultantsPayments.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR47" value="xbrli:xbrl/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR48" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.CostOfSalesTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR49" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.BadDebtsTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR50" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.LeaseTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR51" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.RentTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR52" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.InterestTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR53" value="xbrli:xbrl/bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR54" value="xbrli:xbrl/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR55" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.MotorVehicleTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR56" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.MotorVehicleTypeOrClaimMethod.Code[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR57" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.RepairsAndMaintenanceTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR58" value="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOtherTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR59" value="xbrli:xbrl/bafpr1.02.04:Income.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR61" value="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR62" value="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR63" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR64" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR65" value="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR66" value="xbrli:xbrl/bafpr1.02.13:Income.TrustShareNet.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR68" value="xbrli:xbrl/bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR69" value="xbrli:xbrl/bafpr1.02.04:Income.PartnershipDistributionLessForeignIncome.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR70" value="xbrli:xbrl/bafpr1.02.13:Income.TrustShareNetExcludeNetCapitalGainsAndForeignIncomeAndDistributionFranked.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR72" value="xbrli:xbrl/bafpr1.02.04:Expense.DistributionDeductionsOther.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR73" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuotedShareReceivedIndirectly.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR74" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR75" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromInterestAndDividendsWhereTFNNotQuotedShareReceivedIndirectly.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR76" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholdingShareReceivedIndirectly.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR77" value="xbrli:xbrl/bafpr2.02.00:Income.Operating.RentalIncomeGross.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR78" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR79" value="xbrli:xbrl/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR80" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR81" value="xbrli:xbrl/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR82" value="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR83" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.TFNAmountsWithheldFromGrossInterest.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR84" value="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR85" value="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR86" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR87" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.DividendsTFNAmountsWithheld.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR89" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:OtherAustralianIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR90" value="xbrli:xbrl/bafpr1.02.04:Expense.AustralianInvestmentAllowableDeduction.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR91" value="xbrli:xbrl/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR95" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Text[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR96" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:OtherDeductions[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR97" value="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR98" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFCLC.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR99" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFC404.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR100" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.JFOREIGN.CFCUC.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR102" value="xbrli:xbrl/bafpr3.02.03:Income.InternationalDealings.AttributedForeignIncomeForeignTrustorControlledForeignCompanyorTransferorTrust.Indicator[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR104" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR105" value="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR106" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR107" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR108" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR109" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR110" value="xbrli:xbrl/bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR111" value="xbrli:xbrl/bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR112" value="xbrli:xbrl/bafpo1.02.00:Assets.Total.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR113" value="xbrli:xbrl/bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR114" value="xbrli:xbrl/bafpo1.02.00:Liabilities.Total.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR116" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MTR' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR117" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and ../pyde.02.01:AddressDetails.Usage.Code = 'BUS' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR121" value="xbrli:xbrl/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Opening.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR122" value="xbrli:xbrl/bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR123" value="xbrli:xbrl/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR124" value="xbrli:xbrl/bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR125" value="xbrli:xbrl/bafpo1.02.00:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR126" value="xbrli:xbrl/bafpo1.02.00:Liabilities.TradeAndOtherPayablesTotal.Amount[@contextRef=$RPI.Closing.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR127" value="xbrli:xbrl/lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR128" value="xbrli:xbrl/lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR129" value="xbrli:xbrl/lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR130" value="xbrli:xbrl/bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR131" value="xbrli:xbrl/bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR132" value="xbrli:xbrl/bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR133" value="xbrli:xbrl/bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR134" value="xbrli:xbrl/bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR135" value="xbrli:xbrl/bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR136" value="xbrli:xbrl/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR137" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR138" value="xbrli:xbrl/bafpr1.02.04:Expense.Royalties.Amount[@contextRef=$RP.JFOREIGN.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR141" value="xbrli:xbrl/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.LowCost.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR142" value="xbrli:xbrl/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.GeneralPool.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR146" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR147" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR148" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR149" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR151" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR152" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR153" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR154" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR155" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR156" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR157" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR158" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR159" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.BeneficiaryShare.Amount[@contextRef=$RP.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR160" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldWhereABNNotQuoted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR161" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR162" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.04:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldWhereTFNNotQuoted.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR163" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.CreditForTaxWithheldFromForeignResidentWithholding.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR164" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR170" value="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR171" value="xbrli:xbrl/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$INT.ContextId and ../pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR248" value="xbrli:xbrl/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR249" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR250" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR251" value="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR252" value="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR253" value="xbrli:xbrl/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR254" value="xbrli:xbrl/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR255" value="xbrli:xbrl/bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR256" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.04:Income.Investment.FinancialIncomeOrLossNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR257" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.RentalIncomeOrLossNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR258" value="xbrli:xbrl/gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR259" value="xbrli:xbrl/gfagg.02.02:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Indicator[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
    
<let name="PTR265" value="xbrli:xbrl/bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR266" value="xbrli:xbrl/bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR268" value="xbrli:xbrl/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR271" value="xbrli:xbrl/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />

<let name="PTR272" value="xbrli:xbrl/rvctc2.02.01:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />  
<let name="PTR276" value="xbrli:xbrl/rvctc2.02.01:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR275" value="xbrli:xbrl/rvctc2.02.01:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />

<let name="PTR299" value="xbrli:xbrl/pyde.02.05:Party.TrustType.Code[@contextRef=$RP.JAUS.Prim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR301" value="xbrli:xbrl/bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef=$RP.TOFA.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR320" value="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR321" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR322" value="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR323" value="xbrli:xbrl/rvctc2.02.05:IncomeTax.Deduction.TrustDistributionFranked.Amount[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR324" value="xbrli:xbrl/ptr.0003.lodge.req.02.00:StatementOfDistribution[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.09:Income.DistributionFranked.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR327" value="xbrli:xbrl/pyde.02.05:Party.TrustType.Code[@contextRef=$RP.JAUS.NonPrim.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="PTR328" value="xbrli:xbrl/bafpr1.02.10:Expense.ReconciliationAdjustmentTotal.Amount[@contextRef=$RP.JAUS.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<!--
<let name="RSPT18" value="xbrli:xbrl/bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT19" value="xbrli:xbrl/bafpr2.xx.xx:Income.RealEstateProperty.RentalRelatedOther.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT20" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Marketing.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT21" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.BodyCorporate.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT22" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Borrowing.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT23" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Cleaning.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT24" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.CouncilRates.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT25" value="xbrli:xbrl/bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT26" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Gardening.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT27" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Insurance.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT28" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.LoanInterest.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT29" value="xbrli:xbrl/bafpr1.xx.xx:Expense.LandTax.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT30" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.LegalFees.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT31" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.PestControl.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT32" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.AgentFeesCommission.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT33" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.RepairsAndMaintenance.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT34" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT35" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.OfficeSupplies.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT36" value="xbrli:xbrl/bafpr1.xx.xx:Expense.Travel.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT37" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Water.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT38" value="xbrli:xbrl/bafpr2.xx.xx:Expense.RealEstateProperty.Sundry.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
<let name="RSPT39" value="xbrli:xbrl/bafpr2.xx.xx:Income.RealEstateProperty.RentalNet.Amount[@contextRef=$RP.ContextId  and not(@i:nil='true' or @i:nil='1')]" />
-->
</pattern>