﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>
        
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF ([CGTS127] <> NULL) AND [CGTS127] > ((([CGTS118] - [CGTS123] - [CGTS126]) *0.5) +1)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
            [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
        -->

        
        <assert id="VR.ATO.CGTS.402176" diagnostics="DVR.ATO.CGTS.402176"
                test="not(
                        $CGTS127
                        and
                            (
                                round(100 *sum(common:node-set($CGTS127)))
                                &gt;
                                (
                                  
                                     ((round(100 * sum(common:node-set($CGTS118))) - round(100 * sum(common:node-set($CGTS123))) - round(100 * sum(common:node-set($CGTS126))))  * 0.5) + (1 * 100)
                                )
                            )
                        )" />
        <!--
            IF ([CGTS130] <> NULL) AND ([CGTS130] > ([CGTS118] - [CGTS123] - [CGTS126]))
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
            [CGTS130] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
        -->
        <assert id="VR.ATO.CGTS.402181" diagnostics="DVR.ATO.CGTS.402181"
                test="not(
                        $CGTS130
                        and
                            (
                                 round(100 * sum(common:node-set($CGTS130))) 
                                 &gt;
                                ( round(100 * sum(common:node-set($CGTS118))) - round(100 * sum(common:node-set($CGTS123|$CGTS126))) )
                            )
                        )" />
        <!--
            IF [CGTS130] <> NULL AND [CGTS130] <> ([CGTS127]+[CGTS128]+[CGTS129])
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS127] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount
            [CGTS128] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount
            [CGTS129] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount
            [CGTS130] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
        -->
        <assert id="VR.ATO.CGTS.402182" diagnostics="DVR.ATO.CGTS.402182"
                test="not(
                        $CGTS130
                        and 
                        round(100 * sum(common:node-set($CGTS130))) 
                        !=
                        round(100 * sum(common:node-set($CGTS127|$CGTS128|$CGTS129)))
                      )" />
        <!-- 
            IF ([CGTS118]) <> ([CGTS95]+[CGTS97]+[CGTS99]+[CGTS101]+[CGTS103]+[CGTS111]+[CGTS113]+[CGTS114]+[CGTS116])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS95] = CGTS:RP.ListedCompanyShares:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS97] = CGTS:RP.OtherShares:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS99] = CGTS:RP.ListedUnitTrusts:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS101] = CGTS:RP.OtherUnits:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS103] = CGTS:RP.RealPropertyAUS:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS111] = CGTS:RP.OverseasRealProperty:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS113] = CGTS:RP.CapitalGainsTrustDistributions:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS114] = CGTS:RP.Collectables:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS116] = CGTS:RP.CGTOther:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
        -->
        <assert id="VR.ATO.CGTS.402157" diagnostics="DVR.ATO.CGTS.402157"
                test="not(
                        round(100 * sum(common:node-set($CGTS118))) 
                        !=
                        round(100 * sum(common:node-set($CGTS95|$CGTS97|$CGTS99|$CGTS101|$CGTS103|$CGTS111|$CGTS113|$CGTS114|$CGTS116)))
                     )" />

        <!--
            IF ([CGTS119]) <>
            ([CGTS96]+[CGTS98]+[CGTS100]+[CGTS102]+[CGTS110]+
            [CGTS112]+[CGTS115]+[CGTS117])
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS96] = CGTS:RP.ListedCompanyShares:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS98] = CGTS:RP.OtherShares:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS100] = CGTS:RP.ListedUnitTrusts:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS102] = CGTS:RP.OtherUnits:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS110] = CGTS:RP.RealPropertyAUS:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS112] = CGTS:RP.OverseasRealProperty:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS115] = CGTS:RP.Collectables:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS117] = CGTS:RP.CGTOther:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS119] = CGTS:RP:rvctc3.02.11:Capital.Losses.Total.Amount
        -->
        <assert id="VR.ATO.CGTS.402160" diagnostics="DVR.ATO.CGTS.402160"
                 test="not(
                        round(100 * sum(common:node-set($CGTS119))) 
                        !=
                        round(100 * sum(common:node-set($CGTS96|$CGTS98|$CGTS100|$CGTS102|$CGTS110|$CGTS112|$CGTS115|$CGTS117)))
                     )" />

        <!-- 
            IF ([CGTS139] <> NULL) AND ([CGTS138] = NULL)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
            [CGTS139] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code
        -->
        <assert id="VR.ATO.CGTS.402196" diagnostics="DVR.ATO.CGTS.402196"
                test="not(
                          $CGTS139 and not($CGTS138)  
                     )" />
        
        <!--    
        IF ([CGTS120] > [CGTS119])
        RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS119] = CGTS:RP:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS120] = CGTS:RP.Applied.Y0:rvctc3.02.11:Capital.Losses.Total.Amount
        -->
        <assert id="VR.ATO.CGTS.402162" diagnostics="DVR.ATO.CGTS.402162"
                test="not(
                          round(100 * sum(common:node-set($CGTS120))) &gt; round(100 * sum(common:node-set($CGTS119))) 
                         )" />
        


        <!-- 
          
        IF ([CGTS115] > [CGTS114]) AND [CGTS120] > ([CGTS96]+[CGTS98]+[CGTS100]+[CGTS102]+[CGTS110]+[CGTS112]+[CGTS117]+[CGTS114])
            RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS96] = CGTS:RP.ListedCompanyShares:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS98] = CGTS:RP.OtherShares:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS100] = CGTS:RP.ListedUnitTrusts:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS102] = CGTS:RP.OtherUnits:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS110] = CGTS:RP.AustralianRealProperty:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS112] = CGTS:RP.OverseasRealProperty:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS114] = CGTS:RP.Collectables:rvctc3.02.11:Capital.Gains.Total.Amount
        [CGTS115] = CGTS:RP.Collectables:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS117] = CGTS:RP.OtherCapitalAssets:rvctc3.02.11:Capital.Losses.Total.Amount
        [CGTS120] = CGTS:RP.Applied.Y0:rvctc3.02.11:Capital.Losses.Total.Amount

        -->

        <assert id="VR.ATO.CGTS.402158" diagnostics="DVR.ATO.CGTS.402158"
                test="not(
                            ( round(100 * sum(common:node-set($CGTS115))) &gt; round(100 * sum(common:node-set($CGTS114))) ) and (round(100 * sum(common:node-set($CGTS120))) &gt; ( round(100 * sum(common:node-set($CGTS96|$CGTS98|$CGTS100|$CGTS102|$CGTS110|$CGTS112|$CGTS114))) ) )
                         )" />

        <!-- 
            IF ([CGTS123] > [CGTS118])
               RETURN VALIDATION MESSSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
        -->

        <assert id="VR.ATO.CGTS.402168" diagnostics="DVR.ATO.CGTS.402168"
                test="not(
                            round(100 * sum(common:node-set($CGTS123))) &gt; round(100 * sum(common:node-set($CGTS118)))
                         )" />


        <!-- 
            IF ([CGTS123] <> NULL) AND ([CGTS123]  <> ([CGTS120]+[CGTS43]+[CGTS122]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS43] = CGTS:RP.Applied.Y0-1:rvctc3.02.12:Capital.Losses.NetTotal.Amount
            [CGTS120] = CGTS:RP.Applied.Y0:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS122] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.TransferredTotal.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount 
        -->
        <assert id="VR.ATO.CGTS.402167" diagnostics="DVR.ATO.CGTS.402167"
                test="not(
                            ($CGTS123) and (round(100 * sum(common:node-set($CGTS123)))  != ( round(100 * sum(common:node-set($CGTS120|$CGTS43|$CGTS122))) ))
                         )" />



        <!--
            IF [CGTS131] <> NULL AND [CGTS131] <> ([CGTS118]-[CGTS123]-[CGTS126]-[CGTS130])
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS118] = CGTS:RP:rvctc3.02.11:Capital.Gains.Total.Amount
            [CGTS123] = CGTS:RP.Applied:rvctc3.02.11:Capital.Losses.Total.Amount
            [CGTS126] = CGTS:RP.Applied:gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount
            [CGTS130] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.DiscountAndSmallBusinessConcessionsTotal.Amount
            [CGTS131] = CGTS:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
        -->

       

            <assert id="VR.ATO.CGTS.402184" diagnostics="DVR.ATO.CGTS.402184"
                    test="not(
                              $CGTS131 and round(100 * sum(common:node-set($CGTS131))) != ( round(100 * sum(common:node-set($CGTS118))) - round(100 * sum(common:node-set($CGTS123|$CGTS126|$CGTS130))) )
                         )" />



        <!--
            IF ([CGTS138] <> NULL) AND ([CGTS139] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS138] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount
            [CGTS139] = CGTS:RP:gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionAssetOrEvent.Code     
        -->
        <assert id="VR.ATO.CGTS.402195" diagnostics="DVR.ATO.CGTS.402195"
                test="not(
                         $CGTS138 and not($CGTS139)
                         )" />
    </rule>
   
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code[not(@i:nil='true' or @i:nil='1')]">
        <!--
         WHERE IN CONTEXT
        (RP.{EarnoutArrangementGroupNumber}) 
        IF ([CGTS133] = "Buyer") AND ([CGTS134] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS133] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code
        [CGTS134] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count
        -->
        <assert id="VR.ATO.CGTS.402186" diagnostics="DVR.ATO.CGTS.402186"
                test="not(@contextRef = $RP.EarnoutArrangementGroupNumber.ContextId
                          and regexp:test(.,'^(?i)(Buyer)(.*)$') and not($CGTS134/@contextRef=./@contextRef))" />
        <!--
            WHERE IN CONTEXT
            (RP.{EarnoutArrangementItemNumber})
            IF ([CGTS133] = ""Buyer"") AND ([CGTS135] = NULL)
            RETURN VALIDATION MESSAGE
            ENDIF
            [CGTS133] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code
            [CGTS135] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementApplicableYear.Number
        -->
        <assert id="VR.ATO.CGTS.402187" diagnostics="DVR.ATO.CGTS.402187"
                test="not(@contextRef = $RP.EarnoutArrangementGroupNumber.ContextId
                          and regexp:test(.,'^(?i)(Buyer)(.*)$') and not($CGTS135/@contextRef=./@contextRef))" />

      <!--
        WHERE IN CONTEXT (RP.{EarnoutArrangementGroupNumber}) 
        IF ([CGTS133] = "Seller") AND ([CGTS134] = NULL OR [CGTS135] = NULL OR [CGTS136] = NULL OR [CGTS137] = NULL)
           RETURN VALIDATION MESSAGE
        ENDIF

        [CGTS133] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code
        [CGTS134] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count
        [CGTS135] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementApplicableYear.Number
        [CGTS136] = CGTS:RP.{EarnoutArrangementGroupNumber}:rvctc3.02.06:CapitalGainsTax.EarnoutArrangementEstimatedCapitalProceedsTotal.Amount
        [CGTS137] = CGTS:RP.{EarnoutArrangementGroupNumber}:rvctc3.02.06:CapitalGainsTax.CapitalGainsorLossesOnEarnoutArrangementNet.Amount
        -->
      <assert id="VR.ATO.CGTS.402188" diagnostics="DVR.ATO.CGTS.402188"
              test="not(
                           (
                              @contextRef = $RP.EarnoutArrangementGroupNumber.ContextId 
                              and regexp:test(.,'^(?i)(Seller)(.*)$')
                           ) 
                           and 
                           (
                            not($CGTS134/@contextRef=./@contextRef) or
                            not($CGTS135/@contextRef=./@contextRef) or
                            not($CGTS136/@contextRef=./@contextRef) or
                            not($CGTS137/@contextRef=./@contextRef) 

                           )
                        )"/>
      <!--
                WHERE IN CONTEXT
                (RP.{EarnoutArrangementGroupNumber}) 
                IF ([CGTS133] = "No") AND ([CGTS134] <> NULL AND [CGTS135] <> AND [CGTS136] <> NULL AND [CGTS137] <> NULL)
                   RETURN VALIDATION MESSAGE
                ENDIF

                [CGTS133] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code
                [CGTS134] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count
                [CGTS135] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementApplicableYear.Number
                [CGTS136] = CGTS:RP.{EarnoutArrangementGroupNumber}:rvctc3.02.06:CapitalGainsTax.EarnoutArrangementEstimatedCapitalProceedsTotal.Amount
                [CGTS137] = CGTS:RP.{EarnoutArrangementGroupNumber}:rvctc3.02.06:CapitalGainsTax.CapitalGainsorLossesOnEarnoutArrangementNet.Amount
   
     -->
        <assert id="VR.ATO.CGTS.402189" diagnostics="DVR.ATO.CGTS.402189"
                test="not(
                          @contextRef = $RP.EarnoutArrangementGroupNumber.ContextId
                          and $CGTS133[regexp:test(.,'^(?i)(No)(.*)$')]/@contextRef=./@contextRef
                          and $CGTS134/@contextRef=./@contextRef
                          and $CGTS135/@contextRef=./@contextRef
                          and $CGTS136/@contextRef=./@contextRef
                          and $CGTS137/@contextRef=./@contextRef
                          )" />
       

    </rule>
    
    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count[not(@i:nil='true' or @i:nil='1')]">
        <!--
            WHERE IN CONTEXT 
            (RP.{EarnoutArrangementGroupNumber}) 
            IF ([CGTS133] <> NULL) AND ([CGTS134] <> SET (1-99))
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS133] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementEligibility.Code
            [CGTS134] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count
        -->
        <assert id="VR.ATO.CGTS.402190" diagnostics="DVR.ATO.CGTS.402190"
                test="not(@contextRef = $RP.EarnoutArrangementGroupNumber.ContextId 
                          and not(regexp:test(.,'^([1-9]|[1-9][0-9])$'))
                          and $CGTS133/@contextRef=./@contextRef)"/>
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.12:Miscellaneous.EarnoutArrangementApplicableYear.Number[not(@i:nil='true' or @i:nil='1')]">

        <!--
            WHERE IN CONTEXT
            (RP.{EarnoutArrangementGroupNumber})
            IF ([CGTS135] <> NULL) AND ([CGTS134] <> NULL) AND ([CGTS135] > [CGTS134])
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGTS134] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count
            [CGTS135] = CGTS:RP.{EarnoutArrangementGroupNumber}:bafot.02.12:Miscellaneous.EarnoutArrangementApplicableYear.Number
        -->
        <let name="currentContext" value="@contextRef"/>
        <assert id="VR.ATO.CGTS.402191" diagnostics="DVR.ATO.CGTS.402191"
                test="not(@contextRef = $RP.EarnoutArrangementGroupNumber.ContextId 
                          and (number(.) 
                               &gt; 
                               number(../bafot.02.12:Miscellaneous.EarnoutArrangementDuration.Count[not(@i:nil='true' or @i:nil='1') and @contextRef=$currentContext])))"/>
    </rule>
   

</pattern>
