﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" schemaVersion="ISO19757-3" queryBinding="xslt">

    <title>Validation for SBR FITR PreLodge Web Service</title>

    <!-- XML/SOAP namespaces -->
    <ns prefix="s" uri="http://www.w3.org/2003/05/soap-envelope" />
    <ns prefix="wsa" uri="http://www.w3.org/2005/08/addressing" />
    <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
    <ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />

    <!-- Extension namespaces -->
    <ns prefix="regexp" uri="http://exslt.org/regular-expressions" />
    <ns prefix="function" uri="http://www.ato.gov.au/IS/2009/02" />
    <ns prefix="msxsl" uri="urn:schemas-microsoft-com:xslt" />
    <ns prefix="regexp" uri="http://exslt.org/regular-expressions" />
    <ns prefix="common" uri="http://exslt.org/common" />
    <ns prefix="exslt" uri="http://gotdotnet.com/exslt/strings" />
    <ns prefix="date" uri="http://exslt.org/dates-and-times" />
    <ns prefix="math" uri="http://exslt.org/math" />

    <!-- XBRL/XLink namespaces -->
    <ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
    <ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
    <ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
    <ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />

    <!-- Core SBR namespaces -->
    <ns prefix="sbdh" uri="http://sbr.gov.au/comn/sbdm.02.data" />
    <ns prefix="core" uri="http://sbr.gov.au/comn/core.02.data" />
    <ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
    <ns prefix="service" uri="http://sbr.gov.au/comn/lodge.02.service" />

    <!-- FITR namespaces -->
    <ns prefix="bafot.02.00"  uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" />
    <ns prefix="bafot.02.04"  uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.04.data" />
    <ns prefix="bafot.02.05"  uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.05.data" />
    <ns prefix="bafpo1.02.04"  uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.04.data" />
    <ns prefix="bafpo6.02.05" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo6.02.05.data" />
    <ns prefix="bafpr1.02.00" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
    <ns prefix="bafpr1.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.02.data" />
    <ns prefix="bafpr1.02.04" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.04.data" />
    <ns prefix="bafpr1.02.05" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.05.data" />
    <ns prefix="bafpr1.02.09" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.09.data" />
    <ns prefix="bafpr2.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.02.data" />
    <ns prefix="bafpr2.02.09" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.09.data" />
    <ns prefix="bafpr2.02.10" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.10.data" />
    <ns prefix="bafpr3.02.02" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.02.data" />
    <ns prefix="bafpr3.02.03" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.03.data" />
    <ns prefix="bafpr3.02.08" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data" />
    <ns prefix="emsup.02.00" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.00.data" />
    <ns prefix="emsup.02.01" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.01.data" />
    <ns prefix="emsup.02.02" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.02.data" />
    <ns prefix="emsup.02.05" uri="http://sbr.gov.au/icls/em/emsup/emsup.02.05.data" />
    <ns prefix="gfagc.02.00" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.00.data" />
    <ns prefix="gfagc.02.01" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.01.data" />
    <ns prefix="gfagc.02.04" uri="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data" />
    <ns prefix="lrla.02.00" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" />
    <ns prefix="lrla.02.05" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.05.data" />
    <ns prefix="pyde.02.00" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
    <ns prefix="pyde.02.01" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" />
    <ns prefix="pyde.02.03" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.03.data" />
    <ns prefix="pyde.02.05" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.05.data" />
    <ns prefix="pyde.02.08" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" />
    <ns prefix="pyid.02.00" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns prefix="pyin.02.01" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.01.data" />
    <ns prefix="pyin.02.03" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.03.data" />
    <ns prefix="pyin.02.07" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" />
    <ns prefix="pyin.02.08" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.08.data" />
    <ns prefix="rvctc1.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data" />
    <ns prefix="rvctc1.02.01" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.01.data" />
    <ns prefix="rvctc1.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.03.data" />
    <ns prefix="rvctc1.02.04" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data" />
    <ns prefix="rvctc1.02.07" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.07.data" />
    <ns prefix="rvctc2.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" />
    <ns prefix="rvctc2.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.02.data" />
    <ns prefix="rvctc3.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
    <ns prefix="rvctc2.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.03.data" />
    <ns prefix="rvctc3.02.02" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.02.data" />
    <ns prefix="rvctc3.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.03.data" />
    <ns prefix="rvctc4.02.00" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.00.data" />
    <ns prefix="rvctc4.02.03" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.03.data" />
    <ns prefix="rvctc4.02.05" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc4.02.05.data" />
    <ns prefix="address2.02.02" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails2.02.02.module" />
    <ns prefix="declaration2.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration2.02.01.module" />
    <ns prefix="email1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module" />
    <ns prefix="fitr.0003.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/fitr/fitr.0003.lodge.request.02.00.report" />
    <ns prefix="fitr.0003.lodge.req.02.00" uri="http://sbr.gov.au/rprt/ato/fitr/fitr.0003.lodge.request.02.00.report" />    
    <ns prefix="orgname1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
    <ns prefix="orgname2.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" />
    <ns prefix="phone1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" />
    <ns prefix="prsnstrcnm3.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" />
    <ns prefix="prsnunstrcnm1.02.01" uri="http://sbr.gov.au/comnmdle/comnmdle.personunstructuredname1.02.01.module" />
    <ns prefix="fininstacc1.02.00" uri="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module"/>
    <ns prefix="rvctc2.02.06" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.06.data"/>
    <ns prefix="rvctc3.02.11" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.11.data" />
    <ns prefix="pyin.02.00" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
    <ns prefix="rvctc1.02.11" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.11.data" />
    <ns prefix="bafpr1.02.13" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.13.data"/>
    <ns prefix="bafpo1.02.10" uri="http://sbr.gov.au/icls/baf/bafpo/bafpo1.02.10.data"/>
    <ns prefix="bafpr1.02.15" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.15.data"/>
    
    <!-- Phasing Information -->
    
    <phase id="Prerequisites">
        <active pattern="Abstracts" />
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Context" />
        <active pattern="DataTypes" />
        <active pattern="FieldPatterns" />
        <active pattern="EnumerationPatterns" />
    </phase>

    <phase id="Mandatories">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Mandatories" />
    </phase>

    <phase id="Content">
        <active pattern="ContextVariables" />
        <active pattern="ElementVariables" />
        <active pattern="Content" />
        <active pattern="Address" />
        <active pattern="Declaration" />
        <active pattern="FinancialInstitution" />
        <active pattern="Organisation" />
        <active pattern="Person" />
    </phase>

    <!-- Includes -->
    <include href="../../Diagnostics.sch" />
    <include href="../../Common/Abstracts.sch" />
    <include href="../Common/ContextVariables.sch" />
    <include href="../Common/ElementVariables.sch" />
    <include href="../Common/Context.sch" />
    <include href="../Common/DataTypes.sch" />
    <include href="../Common/FieldPatterns.sch" />
    <include href="../Common/EnumerationPatterns.sch" />
    <include href="../Common/Mandatories.sch" />
    <include href="../Common/Content.sch" />
    <include href="../Common/Address.sch" />
    <include href="../Common/Organisation.sch" />
    <include href="../Common/Person.sch" />
    <include href="../Common/Declaration.sch" />
    <include href="../Common/FinancialInst.sch" />
    
</schema>
