﻿<?xml version="1.0" encoding="utf-8"?>
<pattern
	id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
	<title>DataTypes rule validations for Data Types that are applicable accross all of the AS services.</title>

<!-- GENERAL DATA TYPE ABSTRACT RULES 
 xsd-datatype-date -->

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:startDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-date" />
</rule>

<rule
		name="VR.ATO.GEN.001008"
		context="xbrli:endDate[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-date" />
</rule>
<!-- xsd-datatype-monetary -->

<rule
		name="VR.ATO.GEN.001009"
		context="rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-monetary" />
</rule>

<rule
		name="VR.ATO.GEN.001009"
		context="lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-monetary" />
</rule>
<!-- xsd-datatype-ID -->

<rule
		name="VR.ATO.GEN.001012"
		context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/@id">
<extends
			rule="xsd-datatype-ID" />
</rule>
<!--xsd-datatype-sbrAustralianBusinessNumberItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
<!--xsd-datatype-sbrFamilyNameItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-sbrFamilyNameItemType" />
</rule>
<!--xsd-datatype-sbrGivenNameItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-sbrGivenNameItemType" />
</rule>
<!--xsd-datatype-sbrOtherGivenNameItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-sbrOtherGivenNameItemType" />
</rule>
<!--xsd-datatype-sbrOrganisationNameItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
<extends
			rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>
<!--xsd-datatype-sbrTaxFileNumberItemType-->

<rule
		name="VR.ATO.GEN.001017"
		context="pyde.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends
			rule="xsd-datatype-sbrTaxFileNumberItemType" />
</rule>
</pattern>